Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AtnHierarchyMBean

All Superinterfaces:
  com.bea.p13n.usermgmt.internal.AtnHierarchyConfig, ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface AtnHierarchyMBean
extends ServiceConfigurationMBean, com.bea.p13n.usermgmt.internal.AtnHierarchyConfig

Configuration for the Atn Tree representation in memory of the portal group hierarchies. Note that none of the parameters are dynamic; they all require the user to restart the server if changed.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from interface com.bea.p13n.usermgmt.internal.AtnHierarchyConfig
`DEFAULT_ATN_PROVIDERS_TO_BUILD, DEFAULT_BOOTSTRAP_MODE, DEFAULT_COUNTRY, DEFAULT_LANGUAGE, DEFAULT_SWEEP_INTERVAL, DEFAULT_TREE_SIZE, DEFAULT_TTL, DEFAULT_VARIANT, MAX_SWEEP_INTERVAL, MAX_TREE_SIZE, MAX_TTL, MIN_SWEEP_INTERVAL, MIN_TTL`

Method Summary
`boolean` | `addAtnProvider(String provider)` Add another provider to list of those to build the group hierarchy tree.
`String[]` | `getAtnProviders()` Get the array of provider names for which the group hierarchy trees will be built.
`String` | `getBootstrapMode()` Get the mode in which to boot the server.
`String` | `getLocaleCountry()`
`String` | `getLocaleLanguage()`
`String` | `getLocaleVariant()`
`int` | `getMaxTreeSize()` Get the maximum size for the entire hierarchy, includes all providers.
`int` | `getSweepInterval()` Get the interval, in seconds, at which to check the AtnTrees to see whether they have expired.
`int` | `getTtl()` Get the time-to-live, in seconds, for the AtnTree.
`boolean` | `removeAtnProvider(String provider)` Remove this provider from list of those to build the group hierarchy tree.
`void` | `setAtnProviders(String[] providers)` Specify which AtnProviders for which to build the group hierarchy tree as a comma-separated String of atn providers.
`void` | `setBootstrapMode(String mode)`
`void` | `setLocaleCountry(String country)`
`void` | `setLocaleLanguage(String language)`
`void` | `setLocaleVariant(String variant)`
`void` | `setMaxTreeSize(int maxTreeSize)` Get the maximum size for the entire hierarchy, includes all providers.
`void` | `setSweepInterval(int sweepIntervalSecs)` Set the interval, in seconds, at which to check the AtnTrees to see whether they have expired.
`void` | `setTtl(int ttl)` Set the time-to-live, in seconds, for the AtnTree A tree is expired when its last access time exceeds the time-to-live

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSweepInterval

    public int getSweepInterval()

  Get the interval, in seconds, at which to check the AtnTrees to see whether they have expired. If so, they will be cleared, but not deleted.

  Specified by:
    `getSweepInterval` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_SWEEP_INTERVAL

### setSweepInterval

    public void setSweepInterval(int sweepIntervalSecs)

  Set the interval, in seconds, at which to check the AtnTrees to see whether they have expired.

  MBean Attribute Legal Max:
    MAX_SWEEP_INTERVAL
  MBean Attribute Legal Min:
    MIN_SWEEP_INTERVAL

### getMaxTreeSize

    public int getMaxTreeSize()

  Get the maximum size for the entire hierarchy, includes all providers. This is the total number of nodes in the hierarchy.

  Specified by:
    `getMaxTreeSize` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    MAX_TREE_SIZE

### setMaxTreeSize

    public void setMaxTreeSize(int maxTreeSize)

  Get the maximum size for the entire hierarchy, includes all providers. This is the total number of groups in the hierarchy.

  MBean Dynamic Method
  MBean Attribute Legal Max:
    MAX_TREE_SIZE
  MBean Attribute Legal Min:
    1

### getTtl

    public int getTtl()

  Get the time-to-live, in seconds, for the AtnTree. A tree is expired when its last access time exceeds the time-to-live

  Specified by:
    `getTtl` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_TTL

### setTtl

    public void setTtl(int ttl)

  Set the time-to-live, in seconds, for the AtnTree A tree is expired when its last access time exceeds the time-to-live

  MBean Dynamic Method
  MBean Attribute Legal Max:
    MAX_TTL
  MBean Attribute Legal Min:
    MIN_TTL

### getLocaleLanguage

    public String getLocaleLanguage()

  Specified by:
    `getLocaleLanguage` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_LANGUAGE

### setLocaleLanguage

    public void setLocaleLanguage(String language)

### getLocaleCountry

    public String getLocaleCountry()

  Specified by:
    `getLocaleCountry` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_COUNTRY

### setLocaleCountry

    public void setLocaleCountry(String country)

### getLocaleVariant

    public String getLocaleVariant()

  Specified by:
    `getLocaleVariant` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_VARIANT

### setLocaleVariant

    public void setLocaleVariant(String variant)

### getBootstrapMode

    public String getBootstrapMode()

  Get the mode in which to boot the server. There are two: "Manual" or "Automatic"

  Specified by:
    `getBootstrapMode` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_BOOTSTRAP_MODE

### setBootstrapMode

    public void setBootstrapMode(String mode)

### getAtnProviders

    public String[] getAtnProviders()

  Get the array of provider names for which the group hierarchy trees will be built. Defaults to building all of the AtnProviders available.

  Specified by:
    `getAtnProviders` in interface `com.bea.p13n.usermgmt.internal.AtnHierarchyConfig`
  MBean Attribute Default Value:
    DEFAULT_ATN_PROVIDERS_TO_BUILD

### setAtnProviders

    public void setAtnProviders(String[] providers)

  Specify which AtnProviders for which to build the group hierarchy tree as a comma-separated String of atn providers. For example: MyProvider, YourProvider, FooProvider

  MBean Dynamic Method
  MBean Attribute Legal Null:
    true

### addAtnProvider

    public boolean addAtnProvider(String provider)

  Add another provider to list of those to build the group hierarchy tree.

  MBean Dynamic Method

### removeAtnProvider

    public boolean removeAtnProvider(String provider)

  Remove this provider from list of those to build the group hierarchy tree.

  MBean Dynamic Method

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved